For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get the Users of an Entity

Get users of an entity

get

This method returns the users of a specific entity. To be listed, a user must be an operator of at least one account in the entity.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Path parameters
entity_idintegerRequired

entity's id

Responses
200

list of user objects

application/json
get/entities/{entity_id}/users
GET /entities/{entity_id}/users HTTP/1.1
X-Ledger-API-Key: YOUR_API_KEY
X-Ledger-API-User: YOUR_API_KEY
Accept: */*
{
  "users": [
    {
      "created_by": 5,
      "created_on": "2026-01-01T00:00:00.000Z",
      "id": 1,
      "is_api": false,
      "key_handle": "7920380c812ab0b752b5f04a2561a736f136d9937af542bce149bad075ee25f60f21dad3fa9a8a88bc3fa80a360b3680bb7e1ef6179701e41f9d90fd5f6b475d",
      "last_request": 2,
      "pub_key": "040BAE7B34D9AB3056D575128F24B42D09705FF9CFCD860790DF8147D45888E4C8C9C19AE837298C45CBC595152EA5F43788431F6B4C0017030351C05F6C505FCA",
      "role": "OPERATOR",
      "status": "ACTIVE",
      "user_id": "5CA88C5165CF3640",
      "username": "operator1"
    }
  ]
}